When i compile an old project, i got this kind of error. In case someone else was also hindered by this, check out the screenshots below.

Change the settings under “Target”:

Tab “Architectures”:

Change Tab “Valid Architectures” from this:

to this (just add “Any iOS Simulator SDK : i386”):

Good luck!


Advertisements